<?php

namespace WPIS;

class Tools {

    static public function ucfirstUtf8($string){
        if($string == null || !is_string($string) ){
            return false;
        }
        $apresPremier = mb_substr($string,1); //mb_substr : Effectue une opération de type substr() basée sur le nombre de caractères
        $string = trim($string);
        $maj = utf8_decode($string);
        $maj = $maj[0];
        $a = 'ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõöøùúûýýþÿ??';
        $b = 'aaaaaaaceeeeiiiidnoooooouuuuybsaaaaaaaceeeeiiiidnoooooouuuyybyRr';
        $maj = strtr($maj, utf8_decode($a), $b);
        $string = substr_replace($string, $maj, 0);
        $string = utf8_encode($string);
        $string = ucfirst($string);
        $string = $string.$apresPremier;
        return $string;
    }

    static public function formatDashesToCamelCase($string, $capitalizeFirstCharacter = false) {
        $str = str_replace(' ', '', ucwords(str_replace('-', ' ', $string)));

        if (!$capitalizeFirstCharacter) {
            $str[0] = strtolower($str[0]);
        }

        return $str;
    }

}