<?php
namespace WPIS;

class PriceFilter {
    public static function transform( $value ){
        $value = floatval($value);
        $amount = new \NumberFormatter( 'fr_FR', \NumberFormatter::CURRENCY );
        $amount->setAttribute(\NumberFormatter::MAX_FRACTION_DIGITS, 0);
        return $amount->format($value);
    }
}